Bug 499850 - RFE: Implement the Xen PV-on-HVM drivers
RFE: Implement the Xen PV-on-HVM drivers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13VirtTarget 523134 629767
  Show dependency treegraph
 
Reported: 2009-05-08 11:14 EDT by Chris Lalancette
Modified: 2011-01-05 05:04 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 523134 (view as bug list)
Environment:
Last Closed: 2011-01-05 05:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2009-05-08 11:14:59 EDT
Description of problem:
In order to be a good guest when running under a Xen hypervisor as a fully-virtualized domains, we should have the PV-on-HVM drivers available in the Fedora kernel.  Unfortunately, these drivers are not yet upstream, so we have to first get them accepted upstream, and then port them (or just inherit them) to Fedora.  The good news is that much of the infrastructure for getting these working (xenbus, xen-blkfront, xen-netfront) is already in upstream, so it's a matter of getting the rest of the glue pulled together and accepted.
Comment 1 Pasi Karkkainen 2009-08-02 14:22:33 EDT
Is there someone working on this?
Comment 2 Pasi Karkkainen 2010-09-03 03:44:21 EDT
Xen PV-on-HVM drivers are now included in the mainline Linux 2.6.36 kernel (in the -rc versions).

There's also the xen.git "xen/stable-2.6.32.x" branch that has the PV-on-HVM drivers backported to 2.6.32 kernel.

Note You need to log in before you can comment on or make changes to this bug.